Subject: Re: bug#17485: [PATCH 2/3] Rewrite take-right, drop-right, drop-right!

From: Mark H Weaver <[email-masked]>
Date: Tue, 03 Jun 2014 23:45:54 -0400

David Kastrup <[email-masked]> writes:

> * module/srfi/srfi-1.scm (take-right, drop-right, drop-right!): The
>   definitions tended to be overly complicate and/or rely on pushing
>   material on the VM stack, detrimental to scalability for Guile 2.0 and
>   also worse for performance.
>
>   The changed definitions lead to different, more accurate exceptions
>   being raised.  They rely on length+ returning the length of dotted
>   lists, behavior that is not specified by the SRFI-1 definition but
>   available in GUILE.

I forgot to mention that, again, the commit log should not contain
rationales, but merely summarize the changes made.

     Thanks,
       Mark